Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicDirectoryModel

    java.lang.Object
      |
      +--javax.swing.AbstractListModel
            |
            +--javax.swing.plaf.basic.BasicDirectoryModel

All Implemented Interfaces:
  EventListener, ListModel, PropertyChangeListener, Serializable

public class BasicDirectoryModel
extends AbstractListModel
implements PropertyChangeListener

Basic implementation of a file list.

See Also:
  Serialized Form

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`BasicDirectoryModel(JFileChooser filechooser)`

Method Summary
`boolean` | `contains(Object o)`
`void` | `fireContentsChanged()`
`Vector` | `getDirectories()`
`Object` | `getElementAt(int index)` Returns the value at the specified index.
`Vector` | `getFiles()`
`int` | `getSize()` Returns the length of the list.
`int` | `indexOf(Object o)`
`void` | `intervalAdded(ListDataEvent e)`
`void` | `intervalRemoved(ListDataEvent e)`
`void` | `invalidateFileCache()`
`protected boolean` | `lt(File a, File b)`
`void` | `propertyChange(PropertyChangeEvent e)` This method gets called when a bound property is changed.
`protected void` | `sort(Vector v)`
`void` | `validateFileCache()`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicDirectoryModel

    public BasicDirectoryModel(JFileChooser filechooser)

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent e)

  Description copied from interface: `PropertyChangeListener`
  This method gets called when a bound property is changed.
  Specified by:
    `propertyChange` in interface `PropertyChangeListener`
  Following copied from interface: `java.beans.PropertyChangeListener`
  Parameters:
    `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.

### invalidateFileCache

    public void invalidateFileCache()

### getDirectories

    public Vector getDirectories()

### getFiles

    public Vector getFiles()

### validateFileCache

    public void validateFileCache()

### fireContentsChanged

    public void fireContentsChanged()

### getSize

    public int getSize()

  Description copied from interface: `ListModel`
  Returns the length of the list.

### contains

    public boolean contains(Object o)

### indexOf

    public int indexOf(Object o)

### getElementAt

    public Object getElementAt(int index)

  Description copied from interface: `ListModel`
  Returns the value at the specified index.

### intervalAdded

    public void intervalAdded(ListDataEvent e)

### intervalRemoved

    public void intervalRemoved(ListDataEvent e)

### sort

    protected void sort(Vector v)

### lt

    protected boolean lt(File a,
                         File b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.